RowPosition.Kind (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Enum RowPosition.Kind

- java.lang.Object
- - java.lang.Enum<RowPosition.Kind>
  - - org.apache.cassandra.db.RowPosition.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RowPosition.Kind>
  Enclosing interface:
    RowPosition

      public static enum RowPosition.Kind
      extends java.lang.Enum<RowPosition.Kind>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAX_BOUND`
    `MIN_BOUND`
    `ROW_KEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RowPosition.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RowPosition.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROW_KEY

          public static final RowPosition.Kind ROW_KEY

    - #### MIN_BOUND

          public static final RowPosition.Kind MIN_BOUND

    - #### MAX_BOUND

          public static final RowPosition.Kind MAX_BOUND

  - ### Method Detail

    - #### values

          public static RowPosition.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RowPosition.Kind c : RowPosition.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RowPosition.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation